Accounts

Accounts represent Tenants in ShareFile.com - an isolated area in ShareFile.com ShareFile Accounts represent a single customer boundary. Accounts are represented by the subdomain names used for all API calls to sharefile. For example: https://account.sf-api.com/sf/v3/Items will return the top-level folders for an authenticated user in the acme account. In this example, 'account' represents a sub-domain, while 'sf-api.com' represents the top-level-domain or TLD. Because the URL itself contains the subdomain, the Account is always defined implicitly by all API calls. Objects in one account cannot be retrieved by API calls to another account

Get current Account

GET https://account.sf-api.com/sf/v3/Accounts 
GET https://account.sf-api.com/sf/v3/Accounts(id) 

Retrieves information about the Account defined in the call subdomain

idString Account ID

Returns: The subdomain account information

Get current Account branding

GET https://account.sf-api.com/sf/v3/Accounts/Branding 

Retrievs Branding information about the subdomain account. This operation does not require authentication.

Returns: Branding information for a given sharefile account

Modify the Branding for this account

PATCH https://account.sf-api.com/sf/v3/Accounts/Branding 

Modifies Branding information about the subdomain account. This operation requires authentication.

Returns: Branding information for a given sharefile account

Get List of current Account Employees

GET https://account.sf-api.com/sf/v3/Accounts/Employees?withRightSignature=false 

Retrieves the list of Employees in the Account Employees are named users in the Account.

withRightSignatureBoolean Optionally limit to Employees with the CanSendDocumentsForSignature UserRole

Returns: A Feed containing all Employees Contacts in the account

Get List of current Account Clients

GET https://account.sf-api.com/sf/v3/Accounts/Clients 

Retrieves the list of Clients in the Account. Clients are restricted users of an Account, that can receive and send files to Employees, but have no other permissions besides basic sharing with Employees.

Returns: A Feed containing all Clients in the account

Get Account AddressBooks

GET https://account.sf-api.com/sf/v3/Accounts/AddressBook?type=type 

Retrieves an address book from the account. Address Books are the contacts of Employees and Clients, maintained on a personal or account-wide basis (shared).

typeString Defines the type of Address Book to retrieve. Use 'personal' to retrieve the contact list maintained by the authenticated user; 'shared' to retrieve the account-wide list; and 'group' to retrieve the list of distribution groups in the account
searchTermString Use if you want server-side searching to happen across email or name

Returns: A Feed of Contact objects representing the Address Book retrieved

Get Account Mobile Security Settings

GET https://account.sf-api.com/sf/v3/Accounts/MobileSecuritySettings 

Returns the Mobile device configuration settings for this account

Returns: The current mobile security configuration for this account

Get Account Product Defaults

GET https://account.sf-api.com/sf/v3/Accounts/ProductDefaults 

Returns: Account defaults

Get Account Preferences

GET https://account.sf-api.com/sf/v3/Accounts/Preferences 

Returns: Account preferences

Get Account Single Sign-On Configuration

GET https://account.sf-api.com/sf/v3/Accounts/SSO 

Retrieve the Single Sign-on configuration for the Account

providerString Reserved
idpEntityIdString IDP Entity ID

Returns:

Update Account Single Sign-On Configuration

PATCH https://account.sf-api.com/sf/v3/Accounts/SSO 
            { 
              "LogoutUrl":"", 
              "LoginUrl":"https://idp.com/signin", 
              "IPRestrictions":"+all", 
              "ForceSSO":true, 
              "EntityID":"http://account.sf-api.com/saml/info", 
              "SFEntityID":"http://idp.com/saml/info", 
              "SPInitatedAuthContext":"exact", 
              "SPInitatedAuthMethod":"urn:oasis:names:tc:SAML:2.0:ac:classes:PasswordProtectedTransport" 
            } 

Modifies the Single Sign-on Configuration for this account.

ssoSSOAccountProvider Modified settings for the SSO configuration. Must be sent in the request body.
providerString Reserved

Returns:

Email List of Accounts to User

POST https://account.sf-api.com/sf/v3/Accounts/SendToEmail?email=email 

Sends the list of accounts to the specified email address This operation does not require authentication

emailString Address to send list of accounts

Get the Login Access Control List of domains

GET https://account.sf-api.com/sf/v3/Accounts/LoginAccessControlDomains 

Retrieve the list of domains that are allowed or disallowed to login.

Whether the list is an allow or disallow list is configured by the AccessControlType property. The domain names are checked against the domains of all the email addresses of the user that attempts to log in to the Account.

Returns: The Login Access Control List of domains for the Account.

Get the Folder Access Control List of domains

GET https://account.sf-api.com/sf/v3/Accounts/FolderAccessControlDomains 

Retrieve the list of domains that are allowed or disallowed to have access to folders. Whether the list is an allow or disallow list is configured by the AccessControlType property.

The "DisallowedDomains" list blocks user access to folders by preventing adding a user to distribution groups or folders. The domain names are checked against the domains of all the email addresses of the user. This is an account-wide setting. Note: This does not have any affect on existing folder permissions.

Returns: The Folder Access Control List of domains for the Account, e.g. { "AccessControlType" : "AllowedDomains", "Domains": ["domainA", "domainB"] }

Create or replace the Login Access Control List of domains

POST https://account.sf-api.com/sf/v3/Accounts/LoginAccessControlDomains 
            { 
            "AccessControlType" : "AllowedDomains", 
            "Domains": ["domainA", "domainB"] 
            } 
accessControlDomainsAccessControlDomains The list of domain names

Returns: The new Login Access Control List of domains for the Account

Create or replace the Folder Access Control List of domains

POST https://account.sf-api.com/sf/v3/Accounts/FolderAccessControlDomains 
            { 
            "AccessControlType" : "AllowedDomains", 
            "Domains": ["domainA", "domainB"] 
            } 
accessControlDomainsAccessControlDomains The list of domain names

Returns: The new Folder Access Control List of domains for the Account

Update the Login Access Control List of domains

PATCH https://account.sf-api.com/sf/v3/Accounts/LoginAccessControlDomains 
            { 
            "AccessControlType" : "AllowedDomains", 
            "Domains": ["domainA", "domainB"] 
            } 

Merges the specified domains with existing domains in the list, and/or updates the AccessControlType. One of the parameters needs to be specified.

accessControlDomainsAccessControlDomains The list of domain names

Returns: The updated Login Access Control List of domains for the Account

Update the Folder Access Control List of domains

PATCH https://account.sf-api.com/sf/v3/Accounts/FolderAccessControlDomains 
            { 
            "AccessControlType" : "AllowedDomains", 
            "Domains": ["domainA", "domainB"] 
            } 

Merges the specified domains with existing domains in the list, and/or updates the AccessControlType. One of the parameters needs to be specified. It allows to add new domains to the list.

accessControlDomainsAccessControlDomains The list of domain names

Returns: The updated Folder Access Control List of domains for the Account

Delete domains from the Logins Access Control List of domains

DELETE https://account.sf-api.com/sf/v3/Accounts/LoginAccessControlDomains 
            { 
            "AccessControlType" : "AllowedDomains", 
            "Domains": ["domainA", "domainB"] 
            } 

Deletes the specified domains from the list.

accessControlDomainsAccessControlDomains The list of domain names

Returns: No content

Delete domains from the Folder Access Control List of domains

DELETE https://account.sf-api.com/sf/v3/Accounts/FolderAccessControlDomains 
            { 
            "AccessControlType" : "AllowedDomains", 
            "Domains": ["domainA", "domainB"] 
            } 

Deletes the specified domains from the list.

accessControlDomainsAccessControlDomains The list of domain names

Returns: No content

Check if WebPop is required

GET https://g.sharefile.com/sf/v3/Accounts/RequireWebPop?subdomain=userSubdomain&username=usernameOrEmail&singlePlane=false 
subdomainString subdomain
usernameString email or user ID
singlePlaneBoolean optional, defaults to false

Returns: RequireWebPopResult

Check if subdomain is required

GET https://g.sharefile.com/sf/v3/Accounts/RequireSubdomain?username=usernameOrEmail&singlePlane=false 
usernameString email or user ID
singlePlaneBoolean optional, defaults to false

Returns: RequireSubdomainResult

Find Subdomain

POST https://g.sharefile.com/sf/v3/Accounts/FindSubdomain?singlePlane=false 
            { 
            "UsernameShort":"usernameShort", 
            "Password":"pass", 
            "EmployeeOnly":false 
            } 

Find the user account information based on the short username

findSubdomainParamsFindSubdomainParams Parameters passed through the POST body
singlePlaneBoolean Query parameter specifying wheter or not call other control planes if necessary. Optional, defaults to 'false'.

Returns: FindSubdomainResult

Get Outlook Information

GET https://account.sf-api.com/sf/v3/Accounts/OutlookInformation 

Returns: OutlookInformation

Get SSO Info

GET https://g.sf-api.com/sf/v3/Accounts/SSOInfo?subdomain=subdomain_name 
subdomainString subdomain name

Returns: SSOInfo

Get the tenants of a partner account

GET https://account.sf-api.com/sf/v3/Accounts/Tenants?multiPlane=true 
multiPlaneBoolean Query parameter specifying whether or not call other control planes if necessary. Optional, defaults to 'false'.
partnerAccountIdString Query parameter specifying partnerAccountId. Optional, defaults to 'null'.

Returns: List of tenant accounts managed by this partner account, if any

Get a tenant account by id

GET https://account.sf-api.com/sf/v3/Accounts/Tenants(id)?$expand=DiskSpace 

Returns: Tenant account object requested

Get Tenant Zone Usage

GET https://account.sf-api.com/sf/v3/Accounts/Tenants/ZoneUsage?includePartner=false 

Get multitenant zone usage information for all tenants of this account. Zone usage can include the partner account's own usage, if requested.

includePartnerBoolean Whether this account's multitenant zone usage should be included in the results.

Returns: Zone usage information for each tenant account

Get list of multi-tenant zones assigned to a tenant.

GET https://account.sf-api.com/sf/v3/Accounts/Tenants(parentid)/Zones 
parentidString Account ID of tenant account.

Returns: List of multi-tenant zones assigned to the tenant

Update Account Preferences

PATCH https://account.sf-api.com/sf/v3/Accounts/Preferences 
            { 
                "EnableDLP": true, 
                "PasswordPolicy": { 
                    "MaxAgeDays": 365, 
                    "HistoryCount": 3, 
                    "MinimumLength": 10, 
                    "MinimumNumeric": 2, 
                    "MinimumSpecialCharacters": 0 
                } 
            } 

Requires Current User to have the AdminAccountPolicies User Role

Returns: AccountPreferences

Create a one-time use login Uri for the Web App.

POST https://account.sf-api.com/sf/v3/Accounts/WebAppAdmin 

Returns: Redirection populated with link in Uri field